%define Name 4tH
%define bname 4th
Name: %bname-doc
Version: 3.5c2
Release: alt1
Summary: %Name manual
License: %gpl2plus
Group: Development/Documentation
URL: http://hansoft.come.to/
Source0: http://www.xs4all.nl/~thebeez/%Name/%bname-man.txt
Source1: http://www.xs4all.nl/~thebeez/%Name/%{Name}manual.pdf
BuildArch: noarch

BuildRequires: rpm-build-licenses

%description
%Name is basic framework for creating application specific scripting
languages. It is a library of functions centered around a virtual
machine, which guarantees high performance, ease of use and low
overhead. But in the meanwhile %Name has acquired a reputation as an
educational tool. Its simplicity makes it perfectly suited to learn
Forth, from which it has been derived.

This package contains %Name manual.


%package txt
Summary: %Name manual in plain text format
Group: Development/Documentation
Provides: %name = %version-%release
Provides: %bname-manual = %version-%release
Provides: %bname-manual-txt = %version-%release

%description txt
%Name is basic framework for creating application specific scripting
languages. It is a library of functions centered around a virtual
machine, which guarantees high performance, ease of use and low
overhead. But in the meanwhile %Name has acquired a reputation as an
educational tool. Its simplicity makes it perfectly suited to learn
Forth, from which it has been derived.

This package contains %Name manual in plain text format.


%package pdf
Summary: %Name manual in PDF format
Group: Development/Documentation
Provides: %name = %version-%release
Provides: %bname-manual = %version-%release
Provides: %bname-manual-pdf = %version-%release

%description pdf
%Name is basic framework for creating application specific scripting
languages. It is a library of functions centered around a virtual
machine, which guarantees high performance, ease of use and low
overhead. But in the meanwhile %Name has acquired a reputation as an
educational tool. Its simplicity makes it perfectly suited to learn
Forth, from which it has been derived.

This package contains %Name manual in PDF format.


%install
install -D -m 0644 %SOURCE1 %buildroot%_docdir/%bname-%version/%bname-manual.pdf
sed 's/\r$//' %SOURCE0 > %buildroot%_docdir/%bname-%version/%bname-manual.txt


%files txt
%dir %_docdir/%bname-%version
%_docdir/%bname-%version/*.txt


%files pdf
%dir %_docdir/%bname-%version
%_docdir/%bname-%version/*.pdf


%changelog
* Mon Jan 28 2008 Led <led@altlinux.ru> 3.5c2-alt1
- 3.5c2

* Thu Jan 10 2008 Led <led@altlinux.ru> 3.5c-alt1
- initial build
